# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Defines | Variables

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/OpenGLContext.cpp File Reference

`#include <vlCore/VLSettings.hpp>`
`#include <vlGraphics/OpenGLContext.hpp>`
`#include <vlGraphics/OpenGL.hpp>`
`#include <vlGraphics/IVertexAttribSet.hpp>`
`#include <vlGraphics/Shader.hpp>`
`#include <vlGraphics/GLSL.hpp>`
`#include <vlGraphics/Light.hpp>`
`#include <vlGraphics/ClipPlane.hpp>`
`#include <vlCore/Log.hpp>`
`#include <vlCore/Say.hpp>`
`#include <algorithm>`
`#include <sstream>`

Go to the source code of this file.

## Defines

#define | glewGetProcAddress(name) (*glXGetProcAddressARB)(name)

## Variables

void(*)(void) | glXGetProcAddressARB (const GLubyte *procName)

## Define Documentation

#define glewGetProcAddress | ( |  | name ) | (*glXGetProcAddressARB)(name)

Definition at line 60 of file OpenGLContext.cpp.

Referenced by vl::OpenGLContext::getProcAddress().

## Variable Documentation

void(*)(void) glXGetProcAddressARB(const GLubyte *procName)

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:28.
Permission is granted to use this page to write and publish articles regarding Visualization Library.